apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: stonks-paper
  namespace: argocd
  annotations:
    kargo.akuity.io/authorized-stage: stonks-oracle:paper
spec:
  project: default
  source:
    repoURL: http://gitea-service.git-server.svc.cluster.local:3000/admin/stonks-oracle.git
    targetRevision: main
    path: infra/helm/stonks-oracle
    helm:
      valueFiles:
        - values-paper.yaml
      parameters:
        - name: image.tag
          value: latest
  destination:
    server: https://kubernetes.default.svc
    namespace: stonks-paper
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
